## WebKitDOMVideoPlaybackQuality

WebKitDOMVideoPlaybackQuality

## Functions

gdouble | webkit_dom_video_playback_quality_get_creation_time ()
gulong | webkit_dom_video_playback_quality_get_total_video_frames ()
gulong | webkit_dom_video_playback_quality_get_dropped_video_frames ()
gulong | webkit_dom_video_playback_quality_get_corrupted_video_frames ()
gdouble | webkit_dom_video_playback_quality_get_total_frame_delay ()

## Properties

gulong | corrupted-video-frames | Read
gdouble | creation-time | Read
gulong | dropped-video-frames | Read
gdouble | total-frame-delay | Read
gulong | total-video-frames | Read

## Types and Values

| WebKitDOMVideoPlaybackQuality

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMVideoPlaybackQuality

## Description

## Functions

### webkit_dom_video_playback_quality_get_creation_time ()

    gdouble
    webkit_dom_video_playback_quality_get_creation_time
                                   (WebKitDOMVideoPlaybackQuality *self);

#### Parameters

self | A WebKitDOMVideoPlaybackQuality |

#### Returns

A gdouble

### webkit_dom_video_playback_quality_get_total_video_frames ()

    gulong
    webkit_dom_video_playback_quality_get_total_video_frames
                                   (WebKitDOMVideoPlaybackQuality *self);

#### Parameters

self | A WebKitDOMVideoPlaybackQuality |

#### Returns

A gulong

### webkit_dom_video_playback_quality_get_dropped_video_frames ()

    gulong
    webkit_dom_video_playback_quality_get_dropped_video_frames
                                   (WebKitDOMVideoPlaybackQuality *self);

#### Parameters

self | A WebKitDOMVideoPlaybackQuality |

#### Returns

A gulong

### webkit_dom_video_playback_quality_get_corrupted_video_frames ()

    gulong
    webkit_dom_video_playback_quality_get_corrupted_video_frames
                                   (WebKitDOMVideoPlaybackQuality *self);

#### Parameters

self | A WebKitDOMVideoPlaybackQuality |

#### Returns

A gulong

### webkit_dom_video_playback_quality_get_total_frame_delay ()

    gdouble
    webkit_dom_video_playback_quality_get_total_frame_delay
                                   (WebKitDOMVideoPlaybackQuality *self);

#### Parameters

self | A WebKitDOMVideoPlaybackQuality |

#### Returns

A gdouble

## Types and Values

### WebKitDOMVideoPlaybackQuality

    typedef struct _WebKitDOMVideoPlaybackQuality WebKitDOMVideoPlaybackQuality;

## Property Details

### The `“corrupted-video-frames”` property

      “corrupted-video-frames”   gulong

read-only gulong VideoPlaybackQuality:corrupted-video-frames.

Flags: Read

### The `“creation-time”` property

      “creation-time”            gdouble

read-only gdouble VideoPlaybackQuality:creation-time.

Flags: Read

Default value: 0

### The `“dropped-video-frames”` property

      “dropped-video-frames”     gulong

read-only gulong VideoPlaybackQuality:dropped-video-frames.

Flags: Read

### The `“total-frame-delay”` property

      “total-frame-delay”        gdouble

read-only gdouble VideoPlaybackQuality:total-frame-delay.

Flags: Read

Default value: 0

### The `“total-video-frames”` property

      “total-video-frames”       gulong

read-only gulong VideoPlaybackQuality:total-video-frames.

Flags: Read